View Issue Details

IDProjectCategoryView StatusLast Update
0000283Adventure PHP FrameworkNeues Feature // New Featurepublic2016-02-28 15:17
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version3.2 
Target Version3.2Fixed in Version3.2 
Summary0000283: Conditional content display logic for templates
DescriptionIn many projects, elements of a page or module should be displayed under certain circumstances only. h1 tags for example should only be displayed in case the headline field is filled.

Within this issue, proposal http://wiki.adventure-php-framework.org/Template-Logik should be extended, tested, and documented to be included in the next APF release.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacecore

Activities

ChristianAchatz

2016-02-25 09:08

administrator   ~0000671

Implementation done. New functionality available under https://github.com/AdventurePHP/code starting with commit https://github.com/AdventurePHP/code/commit/d099df19d89b7a7a29b255d70cd4cd765d8e4761.

ChristianAchatz

2016-02-28 15:17

administrator   ~0000672

Documentation added (see https://github.com/AdventurePHP/docs/commit/b7fb0087c15015f62468df586bba2d2ee3807aa5). Thus issue solved!

Issue History

Date Modified Username Field Change
2016-02-19 15:04 ChristianAchatz New Issue
2016-02-19 15:04 ChristianAchatz Status new => assigned
2016-02-19 15:04 ChristianAchatz Assigned To => ChristianAchatz
2016-02-25 09:08 ChristianAchatz Note Added: 0000671
2016-02-28 15:17 ChristianAchatz Note Added: 0000672
2016-02-28 15:17 ChristianAchatz Status assigned => resolved
2016-02-28 15:17 ChristianAchatz Fixed in Version => 3.2
2016-02-28 15:17 ChristianAchatz Resolution open => fixed